# ... manage metadata in Data Mover

In Data Mover, these metadata classes are managed:

* Generic metadata class
* Spazio2 metadata class
* eMail metadata class

## **Generic metadata class**

These metadata are used-defined and are composed of a pair with this syntax:

`"custom_metadata_name":"custom_metadata_value"`

For example:&#x20;

`"BUSINESS_UNIT":"Accounting"`

`"AUTHOR":"SUSAN"`

`"KEYWORD":"INVOICES_JAN_2025"`

Each customer can manage its generic metadata by APIs (see the [HTTP MFT Rest API](/data-mover-1.21/api/http-mft-rest-apis.md#upload-with-metadata) page) or Get Metadata service task and Set Generic Metadata service task (see the [Standard service tasks](/data-mover-1.21/workflow-templates/service-tasks/standard-service-tasks.md) page).&#x20;

## **Spazio2 metadata class**

Spazio2 metadata are fixed.&#x20;

<details>

<summary>Spazio2 metadata list</summary>

{Z\_COMPRESS, FILE\_LENGTH, FORMAT, ORIGIN\_MESSAGE\_FILE\_ID, EOR\_EOF, USER\_ID, CODEPAGE, PRIORITY, ORIGIN\_QUEUE, PUT\_APPLICATION\_TYPE, ORIGIN\_INTERNAL\_NUMBER, LOCALLY\_EXTERNAL, ORIGIN\_ACK\_LEVEL, ORIGIN\_CODED\_CHARSET\_ID, APPLICATION\_IDENTITY\_DATA, USER\_CLASS=CLA1, APPLICATION\_ORIGIN\_DATA, DESTINATION\_PATHNAME, REPLY\_TO\_QUEUE\_MANAGER\_NAME, START\_PUT\_DATE, ORIGIN\_USER\_CLASS, BINARY\_FILE, CORRELATION\_ID, ACCOUNTING\_TOKEN, ACK\_LEVEL, ID\_FILESET, ORIGIN\_CODEPAGE, QUEUE\_MANAGER\_NAME, SENDER, ID\_FILE, QUEUE\_NAME, DESTINATION\_EXTERNAL, INTERNAL\_NUMBER, NODE\_NAME, DESTINATION\_FILENAME, LAST\_READ\_DATE, PUT\_APPLICATION\_NAME, FIRST\_READ\_DATE, MESSAGE\_FILE\_ID, EXPIRY\_DATE, ORIGIN\_ENCODING, DESCRIPTION, ARRIVAL\_DATE, ORIGINAL\_FILENAME, REPLY\_TO\_QUEUE\_WRITE\_PASSWORD, DSTK, ADDRESS\_TYPE, ID\_ROW, REPLY\_TO\_QUEUE\_NAME, ORIGIN\_QUEUE\_MANAGER, CODED\_CHARSET\_ID, REPLY\_TO\_QUEUE\_ADDRESS\_TYPE, ENCODING, SESSION\_ID, ORIGINAL\_FILESIZE}

</details>

To obtain the Spazio metadata of a file, the following syntax must be used:

`"spazio_metadata_name":"spazio_metadata_value".`

For example:&#x20;

`"SENDER":"JANEDOE"`

`"CORRELATION_ID":"invoices2025.xlsx"`

Each customer can manage its Spazio metadata by APIs (see the [HTTP MFT Rest API](/data-mover-1.21/api/http-mft-rest-apis.md#upload-with-metadata) page) or Get Metadata service task and Set Spazio2 Metadata service task (see the [Standard service tasks](/data-mover-1.21/workflow-templates/service-tasks/standard-service-tasks.md) page).&#x20;

## **eMail metadata class**

eMail metadata are fixed.&#x20;

<details>

<summary>eMail metadata list</summary>

{MAIL\_RECEIVED\_DATE, MAIL\_SIGN\_CERT, MAIL\_SUBJECT, MAIL\_BCC, MAIL\_CERT, MAIL\_FROM, MAIL\_SENT\_DATE, MAIL\_TO, MAIL\_SIGN\_DN, MAIL\_SIGN\_DATE, MAIL\_BODY\_BLOB, MAIL\_RAW\_SIZE, MAIL\_CC, MAIL\_SIGN\_STATE\_MSG, MAIL\_SIGN\_STATE}

</details>

Each customer can get its eMail metadata by APIs (see the [HTTP MFT Rest API](/data-mover-1.21/api/http-mft-rest-apis.md#upload-with-metadata) page) or by using the Get Metadata service task (see the [Standard service tasks](/data-mover-1.21/workflow-templates/service-tasks/standard-service-tasks.md) page).&#x20;


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.primeur.com/data-mover-1.21/how-to.../...-manage-metadata-in-data-mover.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
